<bugID>756881<Summary>New tab thumbnails not displayed (or old images displayed) for Facebook, Twitter (sites using Cache-Control no-store)</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:15.0) Gecko/15.0 Firefox/15.0a1
Build ID: 20120519030527

Steps to reproduce:

Click on "open new tab" icon on tab bar.


Actual results:

9 frequently viewed pages are displayed, but the thumbnails for some of them do not refresh properly.  In particular, the thumbnails for Facebook pages never refresh when accessed through the appropriate thumbnail.  Thumbnails for other pages appear to refresh properly.  Previously, the correct page thumbnails for Facebook were displayed.


Expected results:

The thumbnail updates to display the most recent page viewed, including for Facebook.</Description></bugID>